Tag Parser: TagParser::FourccIds Namespace Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Enumerations | Functions
TagParser::FourccIds Namespace Reference

Encapsulates all supported MP4 media format IDs (aka "FOURCCs"). More...

## Enumerations
enum | KnownValue : std::uint32_t { Ac3 = 0x61632d33 , Ac4 = 0x61632d34 , AdpcmAcm = 0x6D730002 , Agsm = 0x6167736D , Alac = 0x616C6163 , Alaw = 0x616C6177 , Alaw21 = 0x616C6177 , AlphaCompositor = 0x626C6E64 , AlphaGain = 0x6761696E , Amr = 0x73617762 , AmrNarrowband = 0x73616D72 , Animation = 0x726C6520 , Appl1 = 0x6476690 , Appl2 = 0x6C70630 , Apple16BitGray = 0x62313667 , Apple32BitGrayWithAlpha = 0x62333261 , Apple48BitRgb = 0x62343872 , Apple64BitArgb1 = 0x62363461 , Apple64BitArgb2 = 0x62617365 , Apple64BitArgb3 = 0x626C6974 , AppleAnimation = 0x726C6520 , AppleAvrJpeg = 0x61767220 , AppleBmp = 0x57524C45 , AppleCinepak = 0x63766964 , AppleCmyk = 0x636D796B , AppleComponentVideoYuv422 = 0x79757632 , AppleCurve = 0x70617468 , AppleDvc = 0x64766320 , AppleDvcpro = 0x64767070 , AppleDvcpro501 = 0x6476356E , AppleDvcpro502 = 0x64763570 , AppleDvcpro50Ntsc = 0x6476356E , AppleDvcpro50Pal = 0x64763570 , AppleDvcproPal = 0x64767070 , AppleDvDvcproNtsc = 0x6476630 , AppleDvp = 0x64766370 , AppleDvPal = 0x64766370 , AppleFlc = 0x666C6963 , AppleGif = 0x67696620 , AppleGraphics = 0x736D630 , AppleGsm101 = 0x6167736D , AppleH261 = 0x68323631 , AppleIntermediateCodec = 0x69636F64 , AppleLossless = 0x616C6163 , AppleMacpaint = 0x504E5447 , AppleMicrosoftVideo1 = 0x6D737663 , AppleMotionJpegA = 0x6D6A7061 , AppleMotionJpegB = 0x6D6A7062 , AppleMpeg4Compressor = 0x6D703476 , AppleMpeg4Decompressor = 0x6D703476 , AppleOpendmlJpeg = 0x646D6231 , ApplePhotoCd = 0x6B706364 , ApplePhotoJpeg = 0x6A706567 , ApplePixletVideo = 0x70786C74 , ApplePlanarRgb = 0x38425053 , ApplePng = 0x706E670 , AppleQuickdraw = 0x71647277 , AppleR408 = 0x72343038 , AppleScalingCodec = 0x7363616C , AppleSgi = 0x2E534749 , AppleSorensonYuv9Codec = 0x73797639 , AppleTextAtsuiCodec = 0x74657874 , AppleTga = 0x7467610 , AppleTiff = 0x74696666 , AppleV408 = 0x76343038 , AppleVcH263 = 0x68323633 , AppleVideo = 0x72707A61 , AppleYuv420Codec1 = 0x6A343230 , AppleYuv420Codec2 = 0x6D797576 , AppleYuv420Codec3 = 0x79343230 , AppleYuv422Codec2Vuy = 0x32767579 , AppleYuv422Codec4 = 0x79757678 , AppleYuv422CodecYuvs = 0x79757673 , AppleYuv422CodecYuvu = 0x79757675 , Avc0Media = 0x64726D69 , Avc1 = 0x61766331 , Avc2 = 0x61766332 , Avc3 = 0x61766333 , Avc4 = 0x61766334 , Av1_IVF = 0x41563031 , Av1_ISOBMFF = 0x61763031 , Blur = 0x626C7572 , Bps8 = 0x38627073 , BrightnessAndContrast = 0x6272636F , ChannelCompositor = 0x6368616E , ChromaKey = 0x636B6579 , Cinepak = 0x63766964 , Cloud = 0x636C6F75 , ColorStyle = 0x736F6C72 , Colorsync = 0x73796E63 , ColorTint = 0x74696E74 , CrossFade = 0x64736C76 , Cvid = 0x63766964 , Divx3Decoder1 = 0x41503431 , Divx3Decoder2 = 0x434F4C30 , Divx3Decoder3 = 0x434F4C31 , Divx3Decoder4 = 0x44495633 , Divx3Decoder5 = 0x44495634 , Divx3Decoder6 = 0x44495635 , Divx3Decoder7 = 0x44495636 , Divx3Decoder8 = 0x4D504733 , Divx3Decoder9 = 0x6D706733 , Divx3Decoder10 = 0x636F6C30 , Divx3Decoder11 = 0x636F6C31 , Divx3Decoder12 = 0x64697633 , Divx3Decoder13 = 0x64697634 , Divx3Decoder14 = 0x64697635 , Divx3Decoder15 = 0x64697636 , Divx4Decoder1 = 0x44495658 , Divx4Decoder2 = 0x64697678 , Divx5Decoder = 0x44583530 , Drms = 0x64726D73 , Drmi = 0x64726D69 , Dts = 0x6474736C , DtsH = 0x64747368 , DtsE = 0x64747365 , Dvca = 0x64766361 , DvcPro501 = 0x64763570 , DvcPro502 = 0x6476356E , DvcProPal = 0x64767070 , EAc3 = 0x65632D33 , EdgeDetection = 0x65646765 , Emboss = 0x656D6273 , Explode = 0x78706C6F , FilmNoise = 0x666D6E73 , Fire = 0x66697265 , Flac = 0x664C6143 , FlashPixImage = 0x66706978 , FlashScreenVideoDecoder = 0x46535631 , FloatingPoint32Bit = 0x666C3332 , FloatingPoint64Bit = 0x666C3634 , GeneralConvolution = 0x67656E6B , Gif = 0x67696620 , Glass = 0x676C6173 , GradientWipe = 0x6D617474 , Graphics = 0x736D6320 , H263Quicktime = 0x68323633 , H2633GPP = 0x73323633 , H264Decoder1 = 0x44415643 , H264Decoder2 = 0x48323634 , H264Decoder3 = 0x56535348 , H264Decoder4 = 0x58323634 , H264Decoder5 = 0x68323634 , H264Decoder6 = 0x78323634 , Hdv3 = 0x68647633 , Hevc1 = 0x68766331 , Hevc2 = 0x68657631 , Vvc1 = 0x76766331 , HslBalance = 0x68736C62 , Ima4 = 0x696D6134 , Ima41 = 0x696D6134 , ImaadpcmAcm = 0x6D730011 , Implode = 0x6D706C6F , Int16Be = 0x74776F73 , Int16Le = 0x736F7774 , Int24 = 0x696E3234 , Int32 = 0x696E3332 , Iris = 0x736D7032 , IvxDecoder1 = 0x33495632 , IvxDecoder2 = 0x33495644 , IvxDecoder3 = 0x33697632 , IvxDecoder4 = 0x33697664 , Jpeg = 0x6a706567 , Jpeg2000Decoder = 0x6D6A7032 , Law21 = 0x756C6177 , LensFlare = 0x6C656E73 , Lle = 0x726C6520 , Mac3 = 0x6D616333 , Mac6 = 0x6D616336 , Mace31 = 0x4D414333 , Mace61 = 0x4D414336 , MatrixWipe = 0x736D7034 , DolbyMpl = 0x6D6C7061 , MotionJpegA = 0x6D6A7061 , MotionJpegB = 0x6D6A7062 , Mp3 = 0x2e6d7033 , Mp3CbrOnly = 0x6D730055 , Mpeg = 0x4D504547 , Mpeg2Imx30 = 0x6D78336E , Mpeg2Imx50 = 0x6D783570 , Mpeg4Audio = 0x6d703461 , Mpeg4Decoder1 = 0x464D5034 , Mpeg4Decoder2 = 0x53454447 , Mpeg4Decoder3 = 0x57563146 , Mpeg4Sample = 0x6d703473 , Mpeg4TimedText = 0x74783367 , Mpeg4Video = 0x6d703476 , MsMpeg4V1Decoder1 = 0x44495631 , MsMpeg4V1Decoder2 = 0x64697631 , MsMpeg4V1Decoder3 = 0x4D504734 , MsMpeg4V1Decoder4 = 0x6D706734 , MsMpeg4V1Decoder5 = 0x4D504731 , MsMpeg4V1Decoder6 = 0x6D706731 , MsMpeg4V2Decoder1 = 0x44495632 , MsMpeg4V2Decoder2 = 0x64697632 , MsMpeg4V2Decoder3 = 0x4D503432 , MsMpeg4V2Decoder4 = 0x6D703432 , MsMpeg4V3Decoder1 = 0x4D503433 , MsMpeg4V3Decoder2 = 0x6D703433 , NtscDv25Video = 0x64766320 , Oggs = 0x4F676753 , Opus = 0x4F707573 , PalDv25Video = 0x64766370 , PdfImage = 0x70646620 , Png = 0x706E6720 , Push = 0x70757368 , Qclp = 0x51636C70 , QdesignMusic1Decoder = 0x51444D43 , QdesignMusic2 = 0x51444D32 , Qdmc = 0x51444D43 , Qdrw = 0x71647277 , QtvrCubicCodec = 0x63757061 , QtvrCylindricalCodec = 0x6C747061 , QualcommPurevoice = 0x51636C70 , QualcommQcelp = 0x51636C71 , Radial = 0x736D7033 , Raw = 0x72617720 , RgbBalance = 0x72676262 , Ripple = 0x7269706C , Rpza = 0x72707A61 , Rv20 = 0x52563230 , Rv30 = 0x52563330 , Rv40 = 0x52563430 , Sharpen = 0x73687270 , Slide = 0x736C6964 , Smc = 0x736D6320 , SorensonH263Decoder = 0x464C5631 , SorensonVideo3Compressor = 0x53565133 , SorensonVideoDecompressor = 0x53565131 , Sowt = 0x736F7774 , SpecialEffectsAndFilters = 0x67656666 , Svq1 = 0x73767131 , Svq3 = 0x73767133 , Tiff = 0x74696666 , TravelingMatte = 0x74726176 , TruemotionVp6Decoder1 = 0x56503632 , TruemotionVp6Decoder2 = 0x56503646 , Twos = 0x74776F73 , Ulaw = 0x756C6177 , Ulaw21 = 0x756C6177 , VcmImageCodec = 0x4D6A7067 , Vdva = 0x76647661 , Vp8 = 0x56503830 , Vp9 = 0x56503930 , Vp9_2 = 0x76703039 , WavPack = 0x5756504B , WindowsMediaAudio = 0x6F776D61 , WindowsMediaAudio7 = 0x574D4131 , WindowsMediaAudio9Professional = 0x574D4133 , WindowsMediaAudio9Standard = 0x574D4132 , WindowsMediaVideoV17 = 0x574D5637 , WindowsMediaVideoV2 = 0x574D5632 , WindowsMediaVideoV8 = 0x574D5638 , Wipe = 0x736D7074 , WmvImageCodec1 = 0x4D347332 , WmvImageCodec2 = 0x4D703432 , WmvImageCodec3 = 0x4D703433 , WmvImageCodec4 = 0x4D703453 , WmvImageCodec5 = 0x574D5631 , WmvImageCodec6 = 0x574D5632 , WmvImageCodec7 = 0x574D5633 , XvidDecoder1 = 0x424C5A30 , XvidDecoder2 = 0x58564944 , XvidDecoder3 = 0x58564958 , XvidDecoder4 = 0x58766944 , XvidDecoder5 = 0x78766964 , Yuv422HardwareAccelerationCodecYuvs1 = 0x32767579 , Yuv422HardwareAccelerationCodecYuvs2 = 0x61633136 , Yuv422HardwareAccelerationCodecYuvs3 = 0x61633332 , Yuv422HardwareAccelerationCodecYuvs4 = 0x61634247 , Yuv422HardwareAccelerationCodecYuvs5 = 0x79757673 , Zoom = 0x7A6F6F6D }

## Functions
TAG_PARSER_EXPORT MediaFormat | fourccToMediaFormat (std::uint32_t fourccId)

## Detailed Description

Encapsulates all supported MP4 media format IDs (aka "FOURCCs").

See also
  http://wiki.multimedia.cx/?title=QuickTime_container

## Enumeration Type Documentation

## ◆ KnownValue

enum TagParser::FourccIds::KnownValue : std::uint32_t

Enumerator
Ac3 | ac-3: Dolby Digital
Ac4 | ac-4: ?
AdpcmAcm | ms??: ?
Agsm | agsm
Alac | alac: Apple Losless Audio Codec
Alaw | alaw
Alaw21 | alaw
AlphaCompositor | blnd
AlphaGain | gain
Amr | sawb
AmrNarrowband | samr
Animation | rle : Animation
Appl1 | ?Gf?
Appl2 | ?Ç?0
Apple16BitGray | b16g
Apple32BitGrayWithAlpha | b32a
Apple48BitRgb | b48r
Apple64BitArgb1 | b64a
Apple64BitArgb2 | base
Apple64BitArgb3 | blit
AppleAnimation | rle
AppleAvrJpeg | avr
AppleBmp | WRLE
AppleCinepak | cvid
AppleCmyk | cmyk
AppleComponentVideoYuv422 | yuv2
AppleCurve | path
AppleDvc | dvc
AppleDvcpro | dvpp
AppleDvcpro501 | dv5n
AppleDvcpro502 | dv5p
AppleDvcpro50Ntsc | dv5n
AppleDvcpro50Pal | dv5p
AppleDvcproPal | dvpp
AppleDvDvcproNtsc | ?Gf0
AppleDvp | dvcp
AppleDvPal | dvcp
AppleFlc | flic
AppleGif | gif
AppleGraphics | ?6Ö0
AppleGsm101 | agsm
AppleH261 | H.261
AppleIntermediateCodec | icod
AppleLossless | alac
AppleMacpaint | PNTG
AppleMicrosoftVideo1 | msvc
AppleMotionJpegA | mjpa
AppleMotionJpegB | mjpb
AppleMpeg4Compressor | mp4v
AppleMpeg4Decompressor | mp4v
AppleOpendmlJpeg | dmb1
ApplePhotoCd | kpcd
ApplePhotoJpeg | jpeg
ApplePixletVideo | pxlt
ApplePlanarRgb | 8BPS
ApplePng | ??æp
AppleQuickdraw | qdrw
AppleR408 | r408
AppleScalingCodec | scal
AppleSgi | .SGI
AppleSorensonYuv9Codec | syv9
AppleTextAtsuiCodec | text
AppleTga | ?Fv?
AppleTiff | tiff
AppleV408 | v408
AppleVcH263 | h263
AppleVideo | rpza: Apple video
AppleYuv420Codec1 | j420
AppleYuv420Codec2 | myuv
AppleYuv420Codec3 | y420
AppleYuv422Codec2Vuy | 2vuy
AppleYuv422Codec4 | yuvx
AppleYuv422CodecYuvs | yuvs
AppleYuv422CodecYuvu | yuvu
Avc0Media | drmi
Avc1 | avc1: H.264/MPEG-4 AVC video
Avc2 | avc2: H.264/MPEG-4 AVC video
Avc3 | avc3: H.264/MPEG-4 AVC video
Avc4 | avc4: H.264/MPEG-4 AVC video
Av1_IVF | AV01: AV1 video (found in IVF)
Av1_ISOBMFF | av01: AV1 video (found in ISOBMFF)
Blur | blur
Bps8 | 8bps
BrightnessAndContrast | brco
ChannelCompositor | chan
ChromaKey | ckey
Cinepak | cvid: Cinepak
Cloud | clou
ColorStyle | solr
Colorsync | sync
ColorTint | tint
CrossFade | dslv
Cvid | cvid
Divx3Decoder1 | AP41
Divx3Decoder2 | COL0
Divx3Decoder3 | COL1
Divx3Decoder4 | DIV3
Divx3Decoder5 | DIV4
Divx3Decoder6 | DIV5
Divx3Decoder7 | DIV6
Divx3Decoder8 | MPG3
Divx3Decoder9 | mpg3
Divx3Decoder10 | col0
Divx3Decoder11 | col1
Divx3Decoder12 | div3
Divx3Decoder13 | div4
Divx3Decoder14 | div5
Divx3Decoder15 | div6
Divx4Decoder1 | DIVX
Divx4Decoder2 | divx
Divx5Decoder | DX50
Drms | drms
Drmi | drmi
Dts | dtsl
DtsH | dtsh
DtsE | dtse
Dvca | dvca
DvcPro501 | dv5p
DvcPro502 | dv5n
DvcProPal | dvpp
EAc3 | ec-3
EdgeDetection | edge
Emboss | embs
Explode | xplo
FilmNoise | fmns
Fire | fire
Flac | fLaC
FlashPixImage | fpix
FlashScreenVideoDecoder | FSV1
FloatingPoint32Bit | fl32
FloatingPoint64Bit | fl64
GeneralConvolution | genk
Gif | gif : CompuServe Graphics Interchange Format
Glass | glas
GradientWipe | matt
Graphics | smc : Graphics
H263Quicktime | h263: H.263 (Quicktime)
H2633GPP | s263: H.263 (3GPP format)
H264Decoder1 | DAVC
H264Decoder2 | H264
H264Decoder3 | VSSH
H264Decoder4 | X264
H264Decoder5 | h264
H264Decoder6 | x264
Hdv3 | hdv3
Hevc1 | hvc1: H.265/High Efficiency Video Coding
Hevc2 | hev1: H.265/High Efficiency Video Coding
Vvc1 | vvc1: H.266/Versatile Video Coding
HslBalance | hslb
Ima4 | ima4
Ima41 | ima4
ImaadpcmAcm | ms??: ?
Implode | mplo
Int16Be | twos
Int16Le | sowt
Int24 | in24
Int32 | in32
Iris | smp2
IvxDecoder1 | 3IV2
IvxDecoder2 | 3IVD
IvxDecoder3 | 3iv2
IvxDecoder4 | 3ivd
Jpeg | jpeg: JPEG
Jpeg2000Decoder | mjp2
Law21 | ulaw
LensFlare | lens
Lle | rle
Mac3 | mac3
Mac6 | mac6
Mace31 | MAC3
Mace61 | MAC6
MatrixWipe | smp4
DolbyMpl | mlpa
MotionJpegA | mjpa: Motion-JPEG (format A)
MotionJpegB | mjpb: Motion-JPEG (format B)
Mp3 | .mp3: MPEG-1 Layer 3
Mp3CbrOnly | ms?U: MPEG-1 Layer 3 (constant bitrate only)
Mpeg | MPEG
Mpeg2Imx30 | mx3n
Mpeg2Imx50 | mx5p
Mpeg4Audio | mp4a: MPEG-4 audio
Mpeg4Decoder1 | FMP4
Mpeg4Decoder2 | SEDG
Mpeg4Decoder3 | WV1F
Mpeg4Sample | mp4s: MPEG-4 stream (other than video/audio)
Mpeg4TimedText | tx3g: MPEG-4 Timed Text / Streaming text format / Part 17
Mpeg4Video | mp4v: MPEG-4 video
MsMpeg4V1Decoder1 | DIV1
MsMpeg4V1Decoder2 | div1
MsMpeg4V1Decoder3 | MPG4
MsMpeg4V1Decoder4 | mpg4
MsMpeg4V1Decoder5 | MPG1
MsMpeg4V1Decoder6 | mpg1
MsMpeg4V2Decoder1 | DIV2
MsMpeg4V2Decoder2 | div2
MsMpeg4V2Decoder3 | MP42
MsMpeg4V2Decoder4 | mp42
MsMpeg4V3Decoder1 | MP43
MsMpeg4V3Decoder2 | mp43
NtscDv25Video | dvc : NTSC DV-25 video
Oggs | OggS
Opus | Opus
PalDv25Video | dvcp: PAL DV-25 video
PdfImage | pdf
Png | png : Portable Network Graphics
Push | push
Qclp | Qclp
QdesignMusic1Decoder | QDMC
QdesignMusic2 | QDM2
Qdmc | QDMC
Qdrw | qdrw
QtvrCubicCodec | cupa
QtvrCylindricalCodec | ltpa
QualcommPurevoice | Qclp
QualcommQcelp | Qclq
Radial | smp3
Raw | raw : Uncompressed RGB
RgbBalance | rgbb
Ripple | ripl
Rpza | rpza
Rv20 | RV20
Rv30 | RV30
Rv40 | RV40
Sharpen | shrp
Slide | slid
Smc | smc
SorensonH263Decoder | FLV1
SorensonVideo3Compressor | SVQ3
SorensonVideoDecompressor | SVQ1
Sowt | sowt
SpecialEffectsAndFilters | geff
Svq1 | svq1
Svq3 | svq3
Tiff | tiff: Tagged Image File Format
TravelingMatte | trav
TruemotionVp6Decoder1 | VP62
TruemotionVp6Decoder2 | VP6F
Twos | twos
Ulaw | ulaw
Ulaw21 | ulaw
VcmImageCodec | Mjpg
Vdva | vdva
Vp8 | VP80: VP8 video
Vp9 | VP90: VP9 video
Vp9_2 | VP9 video
WavPack | WVPK
WindowsMediaAudio | owma: ?
WindowsMediaAudio7 | WMA1
WindowsMediaAudio9Professional | WMA3
WindowsMediaAudio9Standard | WMA2
WindowsMediaVideoV17 | WMV7
WindowsMediaVideoV2 | WMV2
WindowsMediaVideoV8 | WMV8
Wipe | smpt
WmvImageCodec1 | M4s2
WmvImageCodec2 | Mp42
WmvImageCodec3 | Mp43
WmvImageCodec4 | Mp4S
WmvImageCodec5 | WMV1
WmvImageCodec6 | WMV2
WmvImageCodec7 | WMV3
XvidDecoder1 | BLZ0
XvidDecoder2 | XVID
XvidDecoder3 | XVIX
XvidDecoder4 | XviD
XvidDecoder5 | xvid
Yuv422HardwareAccelerationCodecYuvs1 | 2vuy
Yuv422HardwareAccelerationCodecYuvs2 | ac16
Yuv422HardwareAccelerationCodecYuvs3 | ac32
Yuv422HardwareAccelerationCodecYuvs4 | acBG
Yuv422HardwareAccelerationCodecYuvs5 | yuvs
Zoom | zoom

Definition at line 162 of file mp4ids.h.

## Function Documentation

## ◆ fourccToMediaFormat()

MediaFormat TagParser::FourccIds::fourccToMediaFormat | ( | std::uint32_t | fourccId | ) |

Definition at line 51 of file mp4ids.cpp.